<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CreateProgramWorkTask](./bitburner.createprogramworktask.md)

## CreateProgramWorkTask interface

Create Program

**Signature:**

```typescript
interface CreateProgramWorkTask extends PlayerBaseTask 
```
**Extends:** [PlayerBaseTask](./bitburner.playerbasetask.md)

## Remarks

An object representing the status of the program being created

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[programName](./bitburner.createprogramworktask.programname.md)


</td><td>


</td><td>

[ProgramName](./bitburner.programname.md)


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.createprogramworktask.type.md)


</td><td>


</td><td>

"CREATE\_PROGRAM"


</td><td>


</td></tr>
</tbody></table>

